% funkce na zjištění, které políčko je zaškrtlé
function vysledna_volba = funkce_skrtaci_pole(obrazek,volba)

obrazek_zaskrt_1 = obrazek;
vysledna_volba = '*';
pocet_kolonek = size(obrazek_zaskrt_1);
if ndims(obrazek_zaskrt_1) == 2
    max_pocet_kolonek = 1;
else
    max_pocet_kolonek = pocet_kolonek(3);
end

for i = 1: max_pocet_kolonek
    obrazek_zaskrt = im2double(obrazek_zaskrt_1(:,:,i));

    mez = 0.9;
    obrazek_zaskrt_prah = obrazek_zaskrt;
    obrazek_zaskrt(obrazek_zaskrt_prah > mez) = 0;
    obrazek_zaskrt(obrazek_zaskrt_prah <= mez) = 1;
    
    obrazek_zaskrt = medfilt2(obrazek_zaskrt,[2 2]);
    
    % ořez aby byly v obraze jen políčka                                 
    [f c]=find(obrazek_zaskrt);
    obrazek_zaskrt_2=obrazek_zaskrt(min(f):max(f),min(c):max(c));
    
    [a, b] = size(obrazek_zaskrt_2);
    
    soucet(i) = sum(sum(obrazek_zaskrt_2));
end
if length(soucet) > 1
    serazeni = sort(soucet);
    vysledna_volba_cislo = 0;
    vysledna_volba_cislo(serazeni(end) - serazeni(end - 1) > serazeni(end)/10) = serazeni(end);
    for t = 1 : i
        if vysledna_volba_cislo == soucet(t)
            vysledna_volba = volba(t); 
        end
    end
elseif length(soucet) == 1 && soucet>a*b/3
    vysledna_volba = volba;
end
end